# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fvm_shared"
version = "4.8.2"
authors = [
    "ChainSafe Systems <info@chainsafe.io>",
    "Protocol Labs",
    "Filecoin Core Devs",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Filecoin Virtual Machine shared types and functions"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/filecoin-project/ref-fvm"

[features]
arb = [
    "arbitrary",
    "dep:quickcheck",
    "num-bigint/quickcheck",
    "cid/arb",
]
blst = ["bls-signatures/blst"]
crypto = [
    "secp256k1",
    "blst",
    "proofs",
]
default = []
proofs = ["filecoin-proofs-api"]
secp256k1 = ["k256"]
testing = []

[lib]
name = "fvm_shared"
path = "src/lib.rs"

[[test]]
name = "address_test"
path = "tests/address_test.rs"

[[test]]
name = "commcid_tests"
path = "tests/commcid_tests.rs"

[dependencies.anyhow]
version = "1.0.97"

[dependencies.arbitrary]
version = "1.4.1"
features = ["derive"]
optional = true

[dependencies.bitflags]
version = "2.9.0"
features = ["serde"]

[dependencies.blake2b_simd]
version = "1.0.4"

[dependencies.bls-signatures]
version = "0.15"
optional = true
default-features = false

[dependencies.cid]
version = "0.11.1"
features = [
    "serde-codec",
    "std",
]
default-features = false

[dependencies.data-encoding]
version = "2.8.0"

[dependencies.data-encoding-macro]
version = "0.1.17"

[dependencies.filecoin-proofs-api]
version = "19"
optional = true
default-features = false

[dependencies.fvm_ipld_encoding]
version = "0.5.4"

[dependencies.k256]
version = "0.13.4"
features = ["ecdsa"]
optional = true
default-features = false

[dependencies.num-bigint]
version = "0.4"

[dependencies.num-derive]
version = "0.4.2"

[dependencies.num-integer]
version = "0.1"

[dependencies.num-traits]
version = "0.2.19"
default-features = false

[dependencies.quickcheck]
version = "1.0.3"
optional = true

[dependencies.serde]
version = "1.0.228"
features = ["derive"]
default-features = false

[dependencies.thiserror]
version = "2.0.12"

[dependencies.unsigned-varint]
version = "0.8.0"

[dev-dependencies.coverage-helper]
version = "0.2.4"

[dev-dependencies.hex]
version = "0.4.3"

[dev-dependencies.multihash-codetable]
version = "0.2"
features = [
    "sha2",
    "sha3",
    "ripemd",
]
default-features = false

[dev-dependencies.quickcheck_macros]
version = "1.0.0"

[dev-dependencies.rand]
version = "0.8.5"

[dev-dependencies.rand_chacha]
version = "0.3.1"

[dev-dependencies.rusty-fork]
version = "0.3.0"
default-features = false

[dev-dependencies.serde_json]
version = "1.0.140"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(coverage,coverage_nightly)"]
